OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_DriverTable Class Reference

This class is a container to record (AddDriver)
binding between GUID and TPrsStd_Driver.
You create a new instance of TPrsStd_Driver
and use the method AddDriver to load it into the driver table. the method
.

`#include <TPrsStd_DriverTable.hxx>`

## Public Member Functions
Standard_EXPORT | TPrsStd_DriverTable ()
| Default constructor .
Standard_EXPORT void | InitStandardDrivers ()
| Fills the table with standard drivers .
Standard_EXPORT Standard_Boolean | AddDriver (const Standard_GUID &guid, const Handle(TPrsStd_Driver)&driver)
| Returns true if the driver has been added successfully to the driver table. .
Standard_EXPORT Standard_Boolean | FindDriver (const Standard_GUID &guid, Handle(TPrsStd_Driver)&driver) const
| Returns true if the driver was found. .
Standard_EXPORT Standard_Boolean | RemoveDriver (const Standard_GUID &guid)
| Removes a driver with the given GUID. Returns true if the driver has been removed successfully. .
Standard_EXPORT void | Clear ()
| Removes all drivers. Returns true if the driver has been removed successfully. If this method is used, the InitStandardDrivers method should be called to fill the table with standard drivers. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_TPrsStd_DriverTable | Get ()
| Returns the static table. If it does not exist, creates it and fills it with standard drivers. .
## Private Attributes
TPrsStd_DataMapOfGUIDDriver | myDrivers

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_DriverTable::TPrsStd_DriverTable | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean TPrsStd_DriverTable::AddDriver | ( | const Standard_GUID & | guid,
|  | const Handle(TPrsStd_Driver)& | driver
| ) |

Standard_EXPORT void TPrsStd_DriverTable::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TPrsStd_DriverTable::FindDriver | ( | const Standard_GUID & | guid,
|  | Handle(TPrsStd_Driver)& | driver
| ) | const

static Standard_EXPORT Handle_TPrsStd_DriverTable TPrsStd_DriverTable::Get | ( |  | ) | `[static]`

Standard_EXPORT const TPrsStd_DriverTable::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TPrsStd_DriverTable::InitStandardDrivers | ( |  | ) |

Standard_EXPORT Standard_Boolean TPrsStd_DriverTable::RemoveDriver | ( | const Standard_GUID & | guid | ) |

## Field Documentation

TPrsStd_DataMapOfGUIDDriver TPrsStd_DriverTable::myDrivers`[private]`

The documentation for this class was generated from the following file:

- TPrsStd_DriverTable.hxx